View Issue Details

IDProjectCategoryView StatusLast Update
0003847ScribusImport / Exportpublic2006-09-10 21:19
ReporterplinnellAssigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.2.5cvs 
Target VersionFixed in Version1.3.3.4cvs 
Summary0003847: Radial Gradients in SVG do not import correctly
Description[Sat May 20 2006] [19:47:59] <jghali> radial gradients are not parsed correctly
[Sat May 20 2006] [19:51:00] <jghali> svgplugin line 1697:
[Sat May 20 2006] [19:51:04] <jghali> if (e.hasAttribute("x1"))
[Sat May 20 2006] [19:51:04] <jghali> {
[Sat May 20 2006] [19:51:04] <jghali> x1 = e.attribute( "cx", "0.5").toDouble();
[Sat May 20 2006] [19:51:08] <jghali> ...
[Sat May 20 2006] [19:51:34] <jghali> looks for x1 attribite instead of cx...
[Sat May 20 2006] [19:51:51] <jghali> thanks msvc for having runtime checks
[Sat May 20 2006] [19:53:35] <jghali> same error in 1.2.5cvs btw
[Sat May 20 2006] [19:53:54] <mrdocs> but it looks ok :S
[Sat May 20 2006] [19:54:49] <mrdocs> err now i see the defect.. te gradient half moon on the bottom
[Sat May 20 2006] [20:08:09] <jghali> hmmm the svg is also loaded with loadText() means potential encoding issue
TagsNo tags attached.
Patch

Relationships

related to 0002222 closedjghali SVG import failure 
child of 0002931 acknowledged Metabug: SVG 

Activities

plinnell

2006-05-20 23:23

viewer   ~0011392

the file from 0001930 exhibits this when zoomed in

jghali

2006-09-02 13:01

administrator   ~0012396

I have commited a patch which noticeably improve handling of radial gradients

plinnell

2006-09-03 20:02

viewer   ~0012417

display and PDF export now match batik perfectly

plinnell

2006-09-10 21:19

viewer   ~0012482

tested, fixed

Issue History

Date Modified Username Field Change
2006-05-20 23:22 plinnell New Issue
2006-05-20 23:23 plinnell Note Added: 0011392
2006-05-20 23:43 christoph_s Relationship added child of 0002931
2006-09-02 13:01 jghali Note Added: 0012396
2006-09-03 19:53 plinnell Status new => assigned
2006-09-03 19:53 plinnell Assigned To => jghali
2006-09-03 20:02 plinnell Status assigned => resolved
2006-09-03 20:02 plinnell Fixed in Version => 1.3.3.4cvs
2006-09-03 20:02 plinnell Resolution open => fixed
2006-09-03 20:02 plinnell Note Added: 0012417
2006-09-03 23:40 plinnell Relationship added related to 0002222
2006-09-10 21:19 plinnell Status resolved => closed
2006-09-10 21:19 plinnell Note Added: 0012482